18.08.2008 FreeNX 0.7.3 "Priscilla One Year Edition"
	* Opened the 0.7.3 development.
	* Added logging of failed authentication attempts
	  to auth.log via syslog (3). This can be disabled by 
	  setting ENABLE_LOG_FAILED_LOGINS="0".
	  (fabianx@bat.berlios.de)
	* Added -nolisten tcp to nxagent invocation.
	  (fabianx@bat.berlios.de, idea by  pappy- (Gentoo))
	* Used bash for all tasks as 'sh' might be not what we want
	  on standard ubuntu.
	  (fabianx@bat.berlios.de, thx to tan (IRC))
	* Finally fixed mv not working for failed or terminated
	  sessions.
	  (fabianx@bat.berlios.de, Terje Andersen <terander@guard.zapto.org>)
	* Added patch from 2005 to enable reconnect to 24-bit display via
	  32-bit or vice versa. Oops :)
	  (Sunil <funtoos at yahoo.com> )
	* Added 3.2.0 as a backend version for nxloadconfig.
	  (fabianx@bat.berlios.de)
	* Added configuration key ENABLE_SOURCE_BASH_PROFILE for toggling of 
	  sourcing ~/.bash_profile.
	  (fabianx@bat.berlios.de)
	* Added /usr/bin/xauth as default key and used /usr/X11R6/bin/xauth as
	  fallback.
	  (fabianx@bat.berlios.de)
	* Fixed Makefile to stop on all errors.
	  (Idea by Hai Zaar <haizaar@gmail.com>, fabianx@bat.berlios.de)
	* Changed the default for ENABLE_PASSDB_AUTHENTICATION. If you had
	  added a user with different password via --adduser consider
	  re-activating this option in node.conf.
	  (fabianx@bat.berlios.de)
	* Added constraints for passdb based commands. They are only available
	  when ENABLE_PASSDB_AUTHENTICATION="1" else a friendly error message
	  is shown. This should help with users using old tutorials.
	  (fabianx@bat.berlios.de)
	* Added unix-console patch. Added default handler as unix-default with
	  a fallback to xterm,
	  (Idea by Jens Hatlak <jh@junetz.de>, fabianx@bat.berlios.de)
	* Fixed external rdesktop keyboards: A "$" was missing.
	  (Bug by Phil Stricker <stril@gmx.de>, fabianx@bat.berlios.de)
	* Added workaround for "ch" keyboard layout to nxdesktop_helper, 
	  which NXClient 3.2.0 means as de-ch.
	  (Bug by Phil Stricker <stril@gmx.de>, fabianx@bat.berlios.de)
	* Added clean target to Makefile.
	  (Based on patch by Ubuntu FreeNX-Team, fabianx@bat.berlios.de)
	* Use :0.0 if mirrorhost is 127.0.0.1 and add -localhost for 
	  enhanced security. Also increase sleep timeout for slow machines.
	  (Based on Patch by Jeremy Wilkins <wjeremy@shaw.ca>, fabianx@bat.berlios.de)
	* Allow RDP "Run application" sessions to work correctly.
	  (David Corral < davefury@gmail.com > & the Silice Telecom staff,
	   fabianx@bat.berlios.de)
	* Merge Xresources on startup of session.
	  (Jeremy Wilkins <wjeremy@shaw.ca>)
	* Added nx-session-launcher from Ubuntu FreeNX-Team to use FreeNX with
	  ConsoleKit.
	  (marceloshima@gmail.com, fabianx@bat.berlios.de)
	* Moved logging functions to a more appropriate place.
	  (fabianx@bat.berlios.de)
	* Finally fixed the bug when NX Client was stopped on "Negotiating
	  link parameters" and failed session after first session suspend.
	  (fabianx@bat.berlios.de)
	* Fixed missing "fi" statement. In fact it was a missing ";;".
	  (fabianx@bat.berlios.de)
	* Used source instead of "." for Makefile. (Closes: #13954)
	  (fabianx@bat.berlios.de)
	* Allow passwords with '\' by changing read -s to read -r -s.
	  (Closes: #10699)
	  (Patch by rpfuller@bat.berlios.de, fabianx@bat.berlios.de)
	* Allow passwords with special chars by using new url_decode on
	  agent_password. (Closes: #10248)
	  (fabianx@bat.berlios.de)
	* Fixed start/stop exit codes.
	  (Patch by Gentoo Portage, fabianx@bat.berlios.de)
	* Finally checked for all service ports. (cups, media, samba)
	  and also checked it on the host where the load balancing actually
	  leads to.
	  (fabianx@bat.berlios.de)
	* Fixed broken fallback logic if SSH_CLIENT variables cannot be read
	  correctly.
	  (fabianx@bat.berlios.de)
	* Overhauled the usermode: 
		* There are now two modes of operation.
	  	- One statically setting the 
		  ENABLE_USERMODE_AUTHENTICATION key
	  	  in node.conf. (old behavior)
		- Or using nxserver-usermode as startup 
		  binary, which directly goes into the 103 stage.
		* Fixed using commandline parameters like --cleanup 
		  for static usermode.
		* Enabled the root commandline parameters in usermode.
		* Fixed usage of "nx" user as normal user in usermode.
		* Disabled slave mode and load balancing for usermode.
		* Fixed creation of the logfile directory.
		* Fixed nxnode usage of SSH_CLIENT using fallback mechanism.
	  (Patch by nbartos@bat.berlios.de, fabianx@bat.berlios.de)
	* Added disabled nxserver-suid wrapper with help from Google. To 
	  enable it uncomment the suid_install target in Makefile.
	  ( Alistair Riddoch <alriddoch@google.com>, fabianx@bat.berlios.de)
	* Automatically disabled slave mode, when load balancing is activated.
	  (fabianx@bat.berlios.de)
	* Made ENABLE_SLAVE_MODE="1" the new default as its faster
	  and more reliable. If you encounter any problems with it,
	  disable it in node.conf.
	  (fabianx@bat.berlios.de)
	* Changed type for external agents to windows-helper or vnc-helper
	  so that those sessions can be mirrored / shadowed as well.
	  (fabianx@bat.berlios.de)
	* Added nxshadowacl.sample component to be able to shadow
	  foreign sessions.
	  (fabianx@bat.berlios.de)
	* Prepared shadowing foreign users for VNC-shadowing.
	  (fabianx@bat.berlios.de)
	* Added shadow support to --listsession command.
	  (fabianx@bat.berlios.de)
	* Added shadow mode as nxagent target.
	  (fabianx@bat.berlios.de)
	* Fixed shadow mode and made it usable.
	  (Patch by Amin Shehata <amino7 at yahoo dot com>, fabianx@bat.berlios.de)

14.03.2008 FreeNX 0.7.2 "Priscilla Edition"
	* Opened the 0.7.2 development.
	* Fixed the display of local sessions to display only 
	  when session type is VNC.
	  (fabianx@bat.berlios.de)
	* Fixed the issue that commercial NXClient was called with 0 parameters
	  and such the "Connection Wizard" came up.
	  (fabianx@bat.berlios.de)
	* Added freenx-server startup script. You can make a symlink to
	  /etc/init.d/ to have it start automatically.
	  (fabianx@bat.berlios.de)
	* Added catching of exception after failed nscd command.
	  (fabianx@bat.berlios.de)
	* Invoke curl with --proxy "" for automatic download of ppd files.
	  (Wolfgang Schweer <schweer@cityweb.de>)
	* Reorganized nxsetup to have a function for parsing command line
	  options.
	  (fabianx@bat.berlios.de)
	* Added nxsetup --test to test the configuration and connection to
	  localhost nxserver.
	  (fabianx@bat.berlios.de)
	* Added -o ConnectTimeout 3 to nxnode-login for test-nx case.
	  (cedric briner <work@infomaniak.ch>)
	* Added more examples for "failed ssh connection to localhost" cases.
	  (cedric briner <work@infomaniak.ch>, fabianx@bat.berlios.de)
	* Fixed helpers (desktop, viewer) to honour the AGENT_EXTRA_OPTIONS_{RDP,RFB}
	  parameters set in node.conf.
	  (fabianx@bat.berlios.de)
	* Fixed the default value for ENABLE_CLIPBOARD="both" instead of ' = '.
	  (fabianx@bat.berlios.de)
	* Fixed parsing of SMB port and added a fallback if mport file is empty.
	  (Patch from Gentoo Portage)
	* Run nscd only when nscd.pid is present.
	  (Patch from Gentoo Portage)
	* Fixed possible bug in nxserver when $USER is not set.
	  (Patch from Gentoo Portage)
	* Set ENABLE_USESSION="1" option by default - its hard to find and those who know can
	  shut it off anyway. Added automatic adding of user nx to group utmp.
	  (Patch by Gentoo Portage)
	* Added support for 3.1.0 and later backends. Made 2.0.0 backend the
	  default and added a fallback to 1.5.0 via the same detection mechanism.
	  (fabianx@bat.berlios.de)
	* Added the configuration key ENABLE_PULLDOWN_MENU to be able to
	  disable the pulldown menu for rootless sessions.
	  (fabianx@bat.berlios.de)
	* Fixed a small bug in nxserver when password has spaces at the end or
	  beginning.
	  (Dimitar Paskov)
	* Fixed round-robin mode of load balancing.
	  (fabianx@bat.berlios.de)
	* Added check for /tmp/.X11-unix/X*.
	  (Yves-Gaël Chény <yves-gael.cheny at tranquil-it-systems.fr>)
	* Fixed --send|--broadcast for load balancing case.
	  Note: ssh is used, so you need to either insert your root ssh password 
	  for the nodes again and again, use a public key + agent or use host keys.
	  (fabianx@bat.berlios.de)
	* Added possibility to use the new nxsmb backend. This enables us to support
	  CIFS and SMB printing at the same time - without recompiling samba -
	  via the nxredir preload library.
	  (fabianx@bat.berlios.de)
	* Added usage of nxredir library to forward port 139,445 to the
	  client side forwarded SMB port.
	  (fabianx@bat.berlios.de)
	* Made the slave mode finally functional. With that slave mode it is
	  possible to do a single sign on instead of the multiple logins used
	  before. It is also possible to use a suid wrapper to login as user.
	  With single sign on session startup is a lot faster. This is true 
	  especially if there are many printers and files to be shared.
	  (fabianx@bat.berlios.de)
	* Added detection of backend version and added this output 
	  to version string.
	  (fabianx@bat.berlios.de)
	* Added foomatic-ppdfile to the retested values.
	  (fabianx@bat.berlios.de)
	* Added possibility to balance all nx services to different cores
	  using taskset. Use for example USE_PROCESSOR_TASKSET="3,4" to 
	  balance all services to processor cores 3 and 4.
	  This wish was granted for Gregory Carter.
	  (fabianx@bat.berlios.de)
	* Added initial code to add an application to an already running
	  rootless session.
	  Set ENABLE_ADVANCED_SESSION_CONTROL="1" and use session name
	  like "add <sessionname>". Unfortunately the client returns an
	  error, but the application is started anyway.
	  The wish was granted for Bernhard Donaubauer.
	  (fabianx@bat.berlios.de)
	* Added option to disable the showing of running sessions.
	  Set ENABLE_SHOW_RUNNING_SESSIONS="0" if you want that behaviour.
	  (fabianx@bat.berlios.de)
	* Updated documentation in INSTALL file.
	  (fabianx@bat.berlios.de)
	* Added nxviewer-passwd to distribution. It is a fork of the
	  tightvnc vncpasswd part, which is necessary for FreeNX to work
	  with standard vncviewer.
	  (fabianx@bat.berlios.de)
	* Added a Makefile so FreeNX can be build and installed via.
	  $ make
	  $ # edit nxloadconfig to point where it should install to
	  $ make install
	  Hereby FreeNX is installed to where nxloadconfig points and
	  static paths in nxredir and nxsmb are adjusted accordingly.
	  So if you want it to be in /usr/NX/ be sure to apply
	  gentoo-nomachine.diff first or edit nxloadconfig manually.
	  (fabianx@bat.berlios.de)
	* Added nxacl.sample component. If you copy nxacl.sample to
	  $PATH_BIN/nxacl you can make as complex acl scenarios as you
	  want. You have complete control over all data and can deny
	  any session.
	  (fabianx@bat.berlios.de)

14.10.2007 FreeNX 0.7.1 "Hip Hop Edition"
	* Fixed the issue that makes fonts look tiny and unreadable by default 
	  with freenx and the commercial client. (diamond@google.com)
	* Added invalidating of NSCD cache after group and user add.
	  (diamond@google.com)
	* Added better wording with less misunderstanding to dialog of 
	  nxclient for Suspend/Terminate/Close case. (diamond@google.com)
	* Added 'dialog_interface=dialog' option since many installations may 
	  not have Xdialog and since xmessage is very limiting. This new option 
	  will work on any machine that has dialog and xterm.
	  (puterguy@bat.berlios.de)
	* Fixed the APPLICATION_LIBRARY_PRELOAD to be just a warning and fixed 
	  the default path. (fabianx@bat.berlios.de)
	* Added drivers.cache.all that is reloaded just every 60 minutes.
	  (puterguy@bat.berlios.de)
	* Fixed missing services stop that lead to redundant mounts and still
	  running cupsd processes.
	  (puterguy@bat.berlios.de)
	* Added support for mount.cifs additionally to the deprecated
	  smbmount. (fabianx@bat.berlios.de, puterguy@bat.berlios.de)
	* Added "host" output to --list to see which user is connected to
	  which server in case of loadbalancing.
	  (fabianx@bat.berlios.de, Bastian Kames <kames@ibg-monforts.de>)
	* Fixed nxclient -printer to not use commercial client, because its too 
	  slow in case of huge databases like foomatic. (fabianx@bat.berlios.de)
	* Removed bad -noautokill option from the nxclient dialog spawning.
	  (wayneb@bat.berlios.de)
	* Added basic support for mirrored sessions.
	  * The functionality can be used by connecting to VNC session
	    and choosing to "resume" such a session.
	  * New configuration key: ENABLE_MIRROR_VIA_VNC=1
	  * New configuration key: ENABLE_DESKTOP_SHARING=1
	  (fabianx@bat.berlios.de)
	* Fixed some portability issues.
	  * Fixed nxloadconfig in case that COMMAND_X is not only one word,
	    like "openssl md5".
	  * Added usage of "openssl md5" instead of "md5sum" by default.
	  * Changed perl to COMMAND_PERL.
	  * Removed rev and replaced the code with efficient awk code.
	  * Added an outcommented way to also use "POSIX find" for history
	    cleaning.
	  (Peter O'Gorman <peter@pogma.com>)
	* Fix ownership of $SSH_AUTHORIZED_KEYS in nxkeygen, just in case
	  it is run without nxsetup.
	  (fabianx@bat.berlios.de, thx to sambiase on #nx)
	* Fixed diverse occurences of $sess_id in nxnode, when hostname
	  contains whitespace.
	  (fabianx@bat.berlios.de)
	* Fixed setting up KDE_PRINTRC altogether if ENABLE_KDE_CUPS is not 1,
	  and handles errors better when it is but kde-config is not available
	  or fails.
	  (scop@bat.berlios.de)
	* Changed unix:$display -> :$display to enable FreeNX usage with newer
	  xlib in C (used for example by Novell).
	  (fabianx@bat.berlios.de)
	* Enabled 3.0.0 backend with same usage pattern as 2.[0|1].0 backend.
	  (Shawn Starr <spstarr@kde.org>)
	* Bumped version number to 2.1.0-71 to let things like File-sharing
	  port and auxiliary channels work.
	  (fabianx@bat.berlios.de)
	* Added parsing of aux parameter. This should remove all keyboard
	  related problems with nxdesktop with 2.[01].0 backend.
	  (fabianx@bat.berlios.de)
	* Renamed nxclient to nxdialog and setup the necessary environment
	  variable for nxagent to find it.
	  (fabianx@bat.berlios.de, Thanks to NoMachine for giving this hint)
	* Added experimental support for usage of external rdesktop and
	  vncviewer programs.	  
	  This is for example needed for 3.0.0 backend.
	  (fabianx@bat.berlios.de)
	* Changed the default load balancing algorithm to "random"
	  as the nxcheckload script might not be available.
	  (fabianx@bat.berlios.de)
	* Added ENABLE_CLIPBOARD="none|client|server|both" option
	  to node.conf to disable, restrict or enable the clipboard
	  synchronization.
	  (fabianx@bat.berlios.de)

07.07.2007 FreeNX 0.7.0 "Jornade SPL Edition VI+1"
	* Fixed the printing support for CUPS 1.2.
	  Older versions of CUPS are no longer supported.
	  * Note: You must do as root:

	          cp /usr/lib/cups/backend/ipp /usr/lib/cups/backend/nxipp
		  chmod 755 /usr/lib/cups/backend/nxipp

		  Or alternatively re-run nxsetup.

	* Added foomatic support.
	  * Note: You might need to do: ln -s /usr/bin/foomatic-ppdfile
	          /usr/lib/cups/driver/
	* Added setting of CUPS_SERVER environment var.
	* Added automatic downloading of PPDs, if the client supports it.
	* Added configuration vars to tweak the new behaviour.
	* Added cups seamless support with no "use this driver?" dialogs at all.
	  * Note: You need nxcupsd-wrapper on the client side for CUPS 1.2
	          clients.

	          Get it from nxutils repository.

	* Fixed Support for "Running" sessions - again.
	* Made the NXAgent exited with exit code 1 message more verbose.
	* Added support for nxipp to nxnode and nxsetup.
	* Added nxcups-gethost script for automatic usage in KDE.
	* Fixed RDP/VNC sessions. No application should be started for that type. 
	  (Patch by Bernard Cafarelli <voyageur@operamail.com>)
	* Added backingstore fix for older clients from Gentoo.
	  (http://bugs.gentoo.org/show_bug.cgi?id=149298)
	* Fixed VNC sessions.
	* Fixed fullscreen sessions.
	  (Patch by Gentoo Bugtracker)
	* Fixed --broadcast.
	* Added "passwd -u nx" to nxsetup to fix slackware.
	* Fixed respecting of enconding settings in case of rootless mode.
	* Fixed smb mounting in case nxclient sends the wrong port. 
	  (Patch by Jan Lockenvitz <jan.lockenvitz.ext@siemens.com>)
	* Fixed loadbalancing - was still using an undocumented variable.

23.01.2007 FreeNX 0.6.0 "Juliana birthday edition"
	* Opened the 0.6.0 branch.
	* Added nxnode slave mode.
	* General code cleanup.
		* Huge cleanup of nxnode.
	* Removed "no-x11-forwarding" from keys to allow client to use the
	  faster interactive sessions.
	* Fixed nxsetup automatic testing of sessions and cleared up
	  explanations.
	* Added support for NX 2.0.0 style nxclient dialogs.
	* Support for NX 2.0.0 backend in nxloadconfig.
	* Fixed cups printing (added username and password).
	* Fixed one more stray tail process.
	* Added example script for "load" based loadbalancing.
	* Fixed spaces in parameters for NX Client 2.0.0.
	  (ssycplkbocve@spammotel.com)
	* Added version 2.1.0 support.
	* Fixed LD_LIBRARY_PRELOAD default path in nxloadconfig.
	* Fixed nxclient to work with 2.1.0 backend.
	* Added autodetection of backend.

01.07.2006 FreeNX 0.5.0 "UKUUG 2006 Edition"
	* Opened the 0.5.0 branch.
	* Added load balancing.
	* Completely removed support for 1.4.0 backend.
	* Rootless mode is now the default.
	* Reworked nxnode / suspend on connection failure should work now.
	* Added support for "Running" sessions.
	* Fixed --send command. (Emmanuel Blindauer <freenx@mooby.net>)
	* Fixed resume with nxclient >=1.5.0-106 for Windows.
	* Fixed rootless sessions with Windows nxclient.
	* Fixed keyboard issues by enabling the keybd channel.
	* Fixed one more stray tail process and being able to
	  cleanup after a hopelessly failed reconnection. (i.e. agent died)
	* Fixed detection of xauth / netcat. Added option to disable extra
	  checks.
	* Fixed --terminate / --suspend when hostname has a '-' in it.
	  (Emmanuel Blindauer <freenx@mooby.net>)
	* ESD_NO_SPAWN is always set when ESPEAKER is set.
	  ("Felipe Alfaro Solana" <felipe.alfaro@gmail.com>)
	* Added perl replacement for 'rev' function on Sun OS 5.10.
	* Fixed NODE_AUTOSTART to be unable to block sessions.
	* Fixed stale sessions introduced by the new session handling model.
	* Added usage of TCP NODELAY option.
	* Fixed loadbalancing IP issues.
	* Added --force-terminate to remove session info.
	  Fixed issue with suspend/terminate commands.
	* Added correct errorcode 596 instead of 504.
	* Implemented "round-robin" and "load" loadbalancing algorithms.
	  Cleaned up node.conf keys.
	* Fixed help for --restart.
	* Fixed session_running function, which fixes all remaining stale
	  session problems.
	* Removed termination of nxagent in case of rootless mode.
	  (Fixes kontact without --nofork)
	* Last minute fixes for new functions using rev.
	* Added experimental last minute support for NX 2.0.0 backend.
	  (set ENABLE_2_0_0_BACKEND=1)

XX.XX.2006 FreeNX 0.4.5 "aKademy Edition"
	* Made nxsetup more user-friendly and hopefully finally failsafe.
	* Added --agent to nxnode/nxserver to allow easier debugging.
	* Added addgroup/groupadd to nxsetup
	* Added --ignore-errors support on nxsetup/nxloadconfig
	* Added check for expect.

06.08.2005 FreeNX 0.4.4 "UKUUG Enterprise Edition"
	* Added ENABLE_1_5_0_BACKEND configuration directive:
		* Fixed fullscreen support in nxdesktop (still feels more like
		  'Available Area', but with Ctrl-Alt-F you can get "real"
		  fullscreen)
	* Added COMMAND_MD5SUM directive
	* Security: $USER_FAKE_HOME/.nx now gets 0700
	* Fixed support for CUPS forwarding.
	* Added secure re-transmitting to client.
	* Removed grep from getent to not search through the whole database.
	  (Suggestion by "Matthew S. Harris" <mharris@google.com>,
	                 "Ed Warnicke"       <eaw@cisco.com>)
	* Set sleeps to 60 instead of 10 seconds, removed one wrong trap.
	  (Suggestion by "Sunil" <funtoos@yahoo.com>)
	* Made automatic timeout configurable.
	  (Patch by "Ed Warnicke" <eaw@cisco.com>)
	* Made nxsetup more enterprise friendly. Added --localuser
	  (RedHat only) and --gid. 
	  (Based on a patch by "Ed Warnicke" <eaw@cisco.com>)
	* Fixed resume of multiple sessions.	

28.07.2005 FreeNX 0.4.3 "NoMachine 1.5.0 Edition"
	* Fixed reconnection problems with !M 1.5.0 client.
	* Fixed reconnection problems with !M 1.5.0 backend.
	* Added evaluation of $NX_ETC_DIR/node.conf.d/* config files.
	* Fixed a possible security problem. (The client was able
	  to overwrite parameters set by the server)
	* Added ENABLE_1_5_0_BACKEND configuration directive:
		* Added support for fake cookie authentication with
		  !M 1.5.0 client and 1.5.0 backend.
		* Fixed nxagent termination problems with !M 1.5.0
		  backend.
		* Added RDP highcolor support for !M 1.5.0 client
		  with !M 1.5.0 backend.
	* Added secure logging - Passwords are no longer shown in log files.
	* Security: Certain passwords for VNC/RDP could have been visible via 
	  `ps aux`.
	* Added experimental usermode authentication scheme.
	  (Disabled by default)

16.07.2005 FreeNX 0.4.2 "Solaris / Bugfix / Linux Infotag Pforzheim Edition"
	* Removed forwarding support via "freenx.<user>", because it was
	  buggy.
	* Cleaned up lots of code.
		* Fixed one case of a left over file.
		* Removed one unnecessary usage of a temporary file.
	* Added exit handlers in nxserver and nxnode for more stability on 
	  reboot of system.
	* Changed nxnode to be much more stable.
		* Catched one additional "unclean termination of nxagent" 
		  case, which lead to "zombie" sessions.
	* Reworked reconnection support for more stability.
		* Added displaying of reconnection failure in
		  system log / client ssh log.
	* Added even more possibilities to catch and report session startup 
	  failures.
	* Fixed PNG and JPEG-levels pack method.
	* Added usage of netcat -z to check that the port is really not used by
	  another agent.
	* Added nxserver --cleanup, which terminates all running sessions.
	  Useful after a power outage.
	* Fixed nxclient invocation with non-standard installation path
	* Added detection of SSH2_CLIENT variable (commercial ssh)
	* Finally fixed problems with GNOME.
	* FINALLY added Solaris Support Patch.

24.06.2005 FreeNX 0.4.1 "LinuxTag Edition"
	* Fixed a small security problem giving access to session database.
	* Added support for 1.5.0 OSS components. (especially rootless mode)
	* Fixed Filesharing over the Internet. (Thanks to rogierm@users.berlios.de)
	* Fixed Resume on Windows with non-fullscreen sessions.
	* Added suspend/resume support for 1.5.0 OSS components.
	* Fixed display of suspended sessions in nxserver --list.

04.05.2005 FreeNX 0.4.0 "SambaXP Edition"
	* Opened the 0.4.0 branch.
	* Added initial support for filesharing via samba.
	* Improvements to be more node.conf compatible.
	* Added COMMAND_NETCAT, COMMAND_SSH & COMMAND_SSH_KEYGEN directive
	* Added support for 'nxloadconfig --check' to validate node.conf 
	  settings
	* Added initial support for sound (esd/artsd).
	* Added optional support for utmp/wtmp/lastlog database.
	* Removed support for OSS components prior version 1.4.0 in nxnode.
	  Added -option option to nxagent/nxdesktop/nxviewer.
	* Added forwarding to commercial server via destination port.
	* Added more compatible getparam function
	* Sets LD_PRELOAD for applications and LD_LIBRARY_PATH for 
	  nxagent/nxproxy by default.
		- SET_LD_LIBRARY_PATH replaces NX_NOMACHINE_WAY and is 
		  enabled by default, as it is now safe to do so
	* Implemented SSHD_CHECK_IP directive.
	* Added the SESSION_HISTORY directive. Session history will by default 
	  be kept for 30 days.
	* Implemented DEFAULT_X_WM for unix-application virtual desktop mode.
	* Implemented SESSION_LIMIT and SESSION_USER_LIMIT.
	* Fixed nxviewer commandline for geometry and fullscreen-support
	* Added NX_LOG_LEVEL instead of NX_LOGGING, allowing less verbose 
	  logfile.
	* Added SESSION_LOG_CLEAN for configurable removal of the temporary 
	  session directory.
	* Added "--ssh2" cmdline switch for commercial ssh2-server support 
	  in nxsetup.
	* Added ENABLE_FORCE_ENCRYPTION to enforce the usage of encryption on 
	  the server.
	* Added nxprint and added -printer to nxclient together with handling
	  of drivers cache.
	* Fixed a possible race-condition. (reported by Edward Warnicke
	  <eaw@cisco.com>)
	* Feature Request #847 (stderror of some applications to log-file)
	* Feature Request #900 (Detect ssh/sshd in nxsetup)
	* Added printing support via userspace CUPSd and Samba.

20.03.2005 FreeNX 0.3.1 "Bugfix Edition"
	* Fixed keyboard mapping problems.
	* Fixed unix-custom mode; now allowing parameters to be passed.
	* Fixed password prompt detection support in nxnode-login.
	* Fixed locking to prevent usage of the same display.
	* Fixed resume when agent is no longer there.
	* Fixed error message shown to user, when session startup fails.
	* Fixed handling of /tmp/.X*-lock files.
	* Fixed handling of not closed sessions in "Terminating" status.
	* Fixed resume of multiple suspended sessions.

05.03.2005 FreeNX 0.3.0 "Chemnitzer LinuxTage Edition"
	* Initial CVS checkin.
	* Added unix-default as session type - by Kalev Lember 
	  <kalev@smartlink.ee>
	* Fixed nxclient loop - by "Neil Wilson" <neil@aldur.co.uk>.
	* Several fixes by Thorsten Sandfuchs <fux@users.berlios.de>.
	* Optional config file support (system- and user-wide)
		- by Jon Severinsson <jonno@users.berlios.de>.
	* Moved logfile to /var/log/nxserver.log.
	* Moved nx homedir to /var/lib/nxserver/home
	* Complete rewrite of authentication code
		* passdb, su or ssh is now supported.
		- by Jon Severinsson <jonno@users.berlios.de>.
	* Added NODE_AUTOSTART, EXPORT_{USERIP/SESSIONID} config file
	  directives.
	* Added mechanism to forward connection to commercial NoMachine 
	  nxserver (as available from www.nomachine.com).
	* Added mechanism to forward connection to another nxserver. This
	  allows using a "chain" of nxservers.
	* Added "floating window" support by using rootless nxagent as
	  it will be standard in NX 1.5.0.
	* Added "floating window" support by just nxproxy/nxproxy connection
	  and added configuration directive to enable rootless mode.
	* Added nxsetup --uninstall and added more feature to nxsetup.
	  Note: You need to use nxsetup --install for installation now.
	* Added Disabling of port-forwarding, X11-forwarding, ... to ssh-key.

	* Security: Fixed a security blunder. Authority file was not used 
	            and so basically xhost +localhost was set. (ported from
		    0.2.8)
		    
		    Update immediately.
                   
	* Security: Fixed two possible security problems (umask was not set
                   correctly; ported from 0.2.8)

20.11.2004 FreeNX 0.2.7 "Skolelinux Edition"
	* Fix nxserver to work again with KNX-Client. ('\r' is evil)
	* Fix timeout in nxnode-login to allow proper session management
	  again.
	* Fixed possible race condition for the wait-file.

11.11.2004 FreeNX 0.2.6
	
	* Security: Fixed a possible exploit in ssh-usage
	    (thanx to Sebastian Krahmer from the SuSE security team)
	* Important: Public/Private key is no longer used for PAM auth mode.
	
14.10.2004 FreeNX 0.2.5
	* Added Xdialog interface for nxclient and automatic usage
	  of commercial nxclient when available. (Thx go to Rick Stout 
	  <zipsonic@gmail.com>)
	* Added bugfix from the 0.3.0 branch for more flexible nxdesktop in
	  nxnode.
	* Added patch by Rick Stout for permission problems in nxnode.
	* Added patch by Rick Stout for a typo in nxkeygen.
	* Updated gentoo-nomachine.diff.
	* Updated CONTRIB to include a description of lazy-image encoding.

11.09.2004 FreeNX 0.2.4
	* Added timeout to avoid having hanging tail processes.
	* Added "locking" of the display-offset if nxagent failed to start.
	* Fixed ssh encryption for resume on client 1.4.0-snapshot 5.
	* Fixed mktemp, which was non-portable to FreeBSD and Red Hat 9.

10.09.2004 FreeNX 0.2-3
	* Added support for autoreconnection or autoreconnection just 
	  for the case when an older client version is used.
	  	* This makes it possible to use Reconnection with the 
	  	  stable version 1.3.2-7 (enabled by default)
	* Added instructions how to install the NoMachine sources to INSTALL
	* Changed $NX_DIR/bin/ssh to ssh to fix gentoo-nomachine.diff
	* Added nxkeygen by Stuart Herbert for easier change from the 
	  NoMachine key to another key afterwards.
	
	* Security: Any user was able to change the status of other sessions
	            in the session database by providing the correct uniqueid.

10.09.2004 FreeNX 0.2-2
	* Added additional support for safe session suspend, 
	  autosuspend when network connection times out works now!
	* AuthorizedKeysFile cannot be safely determined on Gentoo;
	  changed it to config option now.
	* Added config option to completely disable passdb support.
	* Fixed bugs in nxclient dialog frontend.
	* Removed all usage of nxssh due to security concerns from SuSE. 
	* Fixed session management for knx client.
	* Added detection of failed nxagent startup.
	* Updated the gentoo-nomachine.diff to be not fuzzy.

08.09.2004 FreeNX 0.2-1
	* Fixed support for one windows client version. 
	* Fixed setting of key with --adduser.
	  (Thanks to Stuart Herbert <stuart@gentoo.org>)
	* Fixed _some_ cases for AuthorizedKeysFile in sshd_config.
	  (Thanks to Peter Holik <peter@holik.at>)

	* Fixed gentoo-nomachine.diff (nxnode not in path, but nxnode-login would try that)
	* Fixed the bug with hanging tail processes.

07.09.2004 FreeNX 0.2-0
	* Reworked the whole security model in nxsetup due to requests from SuSE and Gentoo.
		- nxsetup does not use the NoMachine key by default. 
		- PAM authentication is enabled by default.
	
	* Added nxclient for compatibility with nxclient -dialog mode.
	
	* Minor changes
		* Added SSHD_AUTH_PORT to config vars in nxserver
		* Made all programs NX_ aware
		* Programs do now honor the setting of AuthorizedKeysFile in sshd_config
		* Changed nxsetup check from direct reading of passwd to getent
		  (Thanks to Tom Hibbert <tom@nsp.co.nz>)
		* Changed overall messages in nxsetup
	
	* Made a overall clean upstream package.
	* Added Gentoo / NoMachine compatibility diff

06.09.2004 
	* Added pam authentication
	* Added user_db switch
	* moved some su - to nxnode-login

02.09.2004 
	* Added support for snapshot 4 (43/66)
	* Fixed compatibility issue with 1.3.0 
	  (Used by Knoppix 3.4 and earlier)
	* added sane logging (LOGGING is now properly used)

20.06.2004 
	* Added Protocol version 1.4.0
	* Cleanup
	* Added missing functions

14.06.2004 
	* Added Protocol version 1.3.2
